#Fedora packagers please use kmenu-gnome-fedora.spec instead.

#Define distribution-specific directories:
%define kdeshare /usr/share
%define xdgmerge /etc/xdg/menus/applications-merged

Summary:	K Menu with Gnome directory
Name:		kmenu-gnome
Version:	1.2.3
Release:	1
License:	GPL+LGPL
Group:		KDE
Source:		%{name}-%{version}.tar.gz
URL:		http://ariszlo.tripod.com
Vendor:		Ariszlo <ariszlo_gmail_com>
#Distribution:	Other
#Packager:	Ariszlo <ariszlo_gmail_com>
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
K Menu with Gnome folder and extra icons for KDE 3.2 or later.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q

%install
mkdir -p %{buildroot}%{xdgmerge}
cp -a xdg/%{name}.menu %{buildroot}%{xdgmerge}
mkdir -p %{buildroot}%{kdeshare}
cp -a desktop-directories icons %{buildroot}%{kdeshare}
mkdir -p %{buildroot}/usr/share
cp -a %{name} %{buildroot}/usr/share

%clean
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{xdgmerge}/%{name}.menu
%dir /usr/share/%{name}
%{kdeshare}/desktop-directories/*.directory
%{kdeshare}/icons/*/*/*/*.png
/usr/share/%{name}/*
%doc ChangeLog COPYING GPL LGPL README

%Changelog
* Wed Mar 24 2010 Ariszlo <ariszlo@gmail.com> - 1.2.3-1
- release 1.2.3
